OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Transfer

# Transfer_DataInfo Class Reference

Gives informations on an object
Used as template to instantiate Mapper and SimpleBinder
This class is for Transient
.

`#include <Transfer_DataInfo.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT Handle_Standard_Type | Type (const Handle(Standard_Transient)&ent)
| Returns the Type attached to an object Here, the Dynamic Type of a Transient. Null Type if unknown .
static Standard_EXPORT Standard_CString | TypeName (const Handle(Standard_Transient)&ent)
| Returns Type Name (string) Allows to name type of non-handled objects .

## Member Function Documentation

void Transfer_DataInfo::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Transfer_DataInfo::operator new | ( | size_t | size | ) | `[inline]`

void* Transfer_DataInfo::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

static Standard_EXPORT Handle_Standard_Type Transfer_DataInfo::Type | ( | const Handle(Standard_Transient)& | ent | ) | `[static]`

static Standard_EXPORT Standard_CString Transfer_DataInfo::TypeName | ( | const Handle(Standard_Transient)& | ent | ) | `[static]`

The documentation for this class was generated from the following file:

- Transfer_DataInfo.hxx